=== librhuti/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RHU for details 
-include ../../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/librhuti
include $(_srcdir)/makefile.src
