=== po/Makefile ===
# Copyright (C) 1996-1998 Robert Hhne, see COPYING.RH for details 
# This file is part of RHIDE. 
-include ../config.env
ifeq ($(strip $(RHIDESRC)),)
error!! You have to set the variable RHIDESRC
endif

_srcdir=$(RHIDESRC)/po
include $(_srcdir)/makefile.src
