=== debian/changelog ===
rhide (1.5.0+cvs.20040529-1) unstable; urgency=low

  * Initial Release.

 -- Baurjan Ismagulov <ibr@ata.cs.hun.edu.tr>  Fri, 28 May 2004 00:13:36 +0200
